Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObjectType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObjectType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractObjectType extends EntitySpec

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObjectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractObjectType`
  `setComment(String comment)`
  `ContractObjectType`
  `setEntityTitleMacros(String entityTitleMakros)`
  `ContractObjectType`
  `setHidden(boolean hidden)`
  `ContractObjectType`
  `setId(int id)`
  Устанавливает id объекта
  `ContractObjectType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntitySpec

  `createEntityTitle, createEntityTitle, getAttributeList, getComment, getEntitySpecTypeId, getEntityTitleMacros, getModuleIds, isHidden, setAttributeList, setEntitySpecTypeId, setModuleIds, toEntitySpecDTO`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractObjectType

    public ContractObjectType()

- ## Method Details

  - ### setId

    public ContractObjectType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `EntitySpec`

  - ### setTitle

    public ContractObjectType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `EntitySpec`

  - ### setEntityTitleMacros

    public ContractObjectType setEntityTitleMacros(String entityTitleMakros)
    Overrides:
      `setEntityTitleMacros` in class `EntitySpec`

  - ### setComment

    public ContractObjectType setComment(String comment)
    Overrides:
      `setComment` in class `EntitySpec`

  - ### setHidden

    public ContractObjectType setHidden(boolean hidden)
    Overrides:
      `setHidden` in class `EntitySpec`